# Tangent class

The geometric description of a tangent: the angle at a point.

See also:

- PathMetric.getTangentForOffset, which returns the tangent of an offset along a path.

## Constructors

Tangent(Offset position, Offset vector)
  Creates a Tangent with the given values. [...]
  const
Tangent.fromAngle(Offset position, double angle)
  Creates a Tangent based on the angle rather than the vector. [...]
  factory

## Properties

angle → double
  The direction of the curve at position. [...]
  read-only
position → Offset
  Position of the tangent. [...]
  final
vector → Offset
  The vector of the curve at position. [...]
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited